MediaWiki:Gadget-UserLinkAvatar.css

From HUIJIA FUN
Revision as of 10:08, 22 December 2025 by PlurimodSU (talk | contribs) (Create)
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)

Note: After publishing, you may have to bypass your browser's cache to see the changes.

  • Firefox / Safari: Hold Shift while clicking Reload, or press either Ctrl-F5 or Ctrl-R (⌘-R on a Mac)
  • Google Chrome: Press Ctrl-Shift-R (⌘-Shift-R on a Mac)
  • Edge: Hold Ctrl while clicking Refresh, or press Ctrl-F5.
/* 来自https://otomad.wiki/MediaWiki:Gadget-UserLinkAvatar.css */

img.userlink-avatar-small {
    margin-left: 0.2em;
    margin-right: 0.2em;
    width: 1.5em;
    border-radius: 15%;
    margin-top: -0.2em;
}

.mw-userlink {
	display: inline-block;
}

.userlink-avatar-large {
    display: none;
    position: absolute;
    top: 1em;
    left: 1em;
    padding: 1.5em;
    border: solid #A7D7F9 1px;
    border-radius: 3px;
    background-color: white;
}

.userlink-avatar-large img {
    min-width: 128px;
}

.userlink-avatar-hover,
.userlink-avatar-hover .userlink-avatar-small {
    position: relative;
    cursor: pointer;
}

.userlink-avatar-hover:hover .userlink-avatar-large {
    display: block;
    z-index: 91;
}

.userlink-avatar {
	width: 22px;
	height: 22px;
	border-radius: 50%;
	background-size: 100% 100%;
	background-repeat: no-repeat;
	background-color: #0000001c;
	display: inline-block;
	transform: translateY(6px);
	margin-right: 3px;
    margin-left: 4px;
}

a:hover .userlink-avatar {
	opacity: 0.6;
}

.content-table .userlink-avatar, #pagehistory .userlink-avatar {
	width: 23px;
	height: 23px;
	min-width: 23px;
	min-height: 23px;
	margin: -8px 4px 0 6px;
}

/* History and Recent Changes */
.mw-changeslist-line-inner .mw-changeslist-separator:empty:before, #pagehistory .mw-changeslist-separator:empty:before{
	content: '';
}
.diff-title .userlink-avatar {
	margin: -6px 4px 0 0;
}
span.changedby {
	display: inline-block;
}
/* Flow */
.flow-post .flow-author .userlink-avatar {
	margin: -8px 4px 0 0;
}
.flow-post .flow-author .mw-usertoollinks {
	margin-left: 4px;
}
.flow-post .flow-author {
	display: flex;
	align-items: center;
}
.flow-post .flow-author .mw-usertoollinks::before {
	padding-left: 10px;
}